Announcements
IMPORTANT: Cypress Developer Community is transitioning on October 20th. To learn more and be prepared for this change, check out our latest announcement.
cancel
Showing results for 
Search instead for 
Did you mean: 

PSoC 6 MCU

GeIo_1586191
Contributor II

I've 3 x PSoC 6 BLE Pioneer Kits that are a few years old now. I've got PSoC Creator 4.2 loaded on an old 32bit Windows10 PC and I blindly update components and peripherals as they come up in PSoC Creator and via Cypress Update Manager.

I've used Programmer 3.28.6 to update my boards to KitProg3. It gave the green light to say update was successful.

However, now when I program any of my boards nothing happens. Following the flash routine within PSoC Creator the LED3 (kitprog2 status leds) on my PSoC 6 BLE Pioneer boards is solid green and that is it. I've even tried a simple LED blink using cydelay etc. Even that did nothing.

So somewhere along the line through all these updates I have created a backwards compatibility issue with my dev boards.

Any tips on how to unravel.

Thanks.

0 Likes
1 Solution
Rakshith
Moderator
Moderator

Hi GeIo_1586191​,

This seems to be a kit revision issue. I suspect that you have an older revision of the kit which is not supported by the newer PDL versions and ModusToolbox. You can find this information on the product home page.

You will be contacted by a Cypress representative regarding the replacement of your kit.

Thanks and Regards,

Rakshith M B

Thanks and Regards,
Rakshith M B

View solution in original post

4 Replies
Rakshith
Moderator
Moderator

Hi GeIo_1586191​,

This seems to be a kit revision issue. I suspect that you have an older revision of the kit which is not supported by the newer PDL versions and ModusToolbox. You can find this information on the product home page.

You will be contacted by a Cypress representative regarding the replacement of your kit.

Thanks and Regards,

Rakshith M B

Thanks and Regards,
Rakshith M B

View solution in original post

GeIo_1586191
Contributor II

Thanks for the helpful reply.

I see on the product page they have this table:

pastedImage_0.png

As mentioned in my original post, I still use a 32bit Windows PC for my PSoC dev projects so ModusToolbox is no use to me at the moment.

Thankfully I had not thrown one of the PSoC 6 boxes away. It tells me I have version A boards. So, am I correct in my understanding that I just need to revert back to PDL version 3.01 and the Kitprog3 is ok to use.

0 Likes
GeIo_1586191
Contributor II

I set my default PDL version for my version A* PSoC 6 devices in PSoC Creator 4.2 to 3.0.4 (under Tools>>Options...) and it works!

0 Likes
Rakshith
Moderator
Moderator

Hi GeIo_1586191,

Yes, that is correct. You will need a Rev *C Kit to use latest version of PDL and ModusToolbox. The *A Kits will be replaced. You will be contacted by a Cypress representative regarding the replacement of your kit.

Thanks and Regards,

Rakshith M B

Thanks and Regards,
Rakshith M B
0 Likes
Top labels